<?php

use app\model\AdminMenuModel;
use app\model\CommonModel;
use app\model\RoleModel;

return [
    //【通用】
    'common' => [
        'keyword|关键字' => 'chsDash|max:100',
        'page|页码' => 'require|number|gt:0',
        'size|每页数量' => 'require|number|elt:100',
        'status|状态' => 'number|in:' . CommonModel::$status_normal . ',' . CommonModel::$status_disable,
        'company_id|企业' => 'number|gt:0',
        'card_id|卡类型' => 'number|gt:0',
    ],

    //【启禁用】
    'status' => [
        'id' => 'require|number|gt:0',
        'status|状态' => 'require|number|in:' . CommonModel::$status_normal . ',' . CommonModel::$status_disable,
    ],

    //【登录】
    'login' => [
        'username|用户名' => 'require|max:255',
        'password|密码' => 'require|max:255',
    ],

    //【版本】
    //新增版本
    'createVersion' => [
        'title|版本主题' => 'require|max:255',
        'content|版本内容' => 'require|max:255',
        'version|版本号' => 'require|max:255'
    ],

    //【菜单】
    //添加菜单
    'menuAdd' => [
        'menu_name|菜单名称' => 'require|max:255',
        'menu_url|菜单地址' => 'max:255',
        'menu_route|菜单路由' => 'requireWith:pid|max:255',
        'menu_type|菜单类型' => 'number|in:' . AdminMenuModel::$type_1 . ',' . AdminMenuModel::$type_2,
        'menu_img|菜单图片' => 'max:255',
        'pid|父级id' => 'number|egt:0',
        'private|是否私有' => 'number|in:' . AdminMenuModel::$is_private . ',' . AdminMenuModel::$not_private,
        'weight|权重' => 'number|egt:0',
    ],
    //编辑菜单
    'menuEdit' => [
        'id' => 'require|number|gt:0',
        'menu_name|菜单名称' => 'require|max:255',
        'menu_url|菜单地址' => 'max:255',
        'menu_route|菜单路由' => 'requireWith:pid|max:255',
        'menu_type|菜单类型' => 'number|in:' . AdminMenuModel::$type_1 . ',' . AdminMenuModel::$type_2,
        'menu_img|菜单图片' => 'max:255',
        'pid|父级id' => 'number|egt:0',
        'private|是否私有' => 'number|in:' . AdminMenuModel::$is_private . ',' . AdminMenuModel::$not_private,
        'is_show|是否显示' => 'number|in:' . AdminMenuModel::$show . ',' . AdminMenuModel::$hide,
        'weight|权重' => 'number|egt:0',
    ],


    //【视频】
    //添加视频
    'videoAdd' => [
        'video_name|视频名称' => 'require|max:255',
        'video_url|视频地址' => 'require|max:255',
        'video_img|视频封面' => 'require|max:255',
        'weight|权重' => 'number|egt:0',
        'remark|备注' => 'max:255',
    ],
    //编辑视频
    'videoEdit' => [
        'id' => 'require|number|gt:0',
        'video_name|视频名称' => 'require|max:255',
        'video_url|视频地址' => 'require|max:255',
        'video_img|视频封面' => 'require|max:255',
        'weight|权重' => 'number|egt:0',
        'remark|备注' => 'max:255',
    ],


    //【卡类型】
    //添加卡类型
    'cardAdd' => [
        'title|卡类型' => 'require|max:255'
    ],
    //编辑卡类型
    'cardEdit' => [
        'id' => 'require|number|gt:0',
        'title|卡类型' => 'require|max:255'
    ],

    //【企业】
    //添加
    'CompanyAdd' => [
        'title|企业名称' => 'require|max:255',
        'contacts|联系人' => 'require|max:255',
        'mobile|联系方式' => 'require|mobile',
        'remark|备注' => 'max:255',
    ],

    //【权限】
    'actionAdd' => [
        'menuid' => 'require|number|gt:0',
        'action_code' => 'require|max:255',
        'status|状态' => 'require|number|in:' . CommonModel::$status_normal . ',' . CommonModel::$status_disable,
    ],

    //【角色】
    'roleList' => [
        'name|角色名称' => 'max:255',
        'level|角色等级' => 'number|in:' . implode(',', [RoleModel::$level_super_administrator, RoleModel::$level_administrator, RoleModel::$level_normal_role]),
    ],
    'RoleAdd' => [
        'name|角色名称' => 'require|max:255',
        'level|角色等级' => 'require|number|in:' . implode(',', [RoleModel::$level_super_administrator, RoleModel::$level_administrator, RoleModel::$level_normal_role]),
        'remark|备注' => 'max:255',
        'action_data|功能权限' => 'require|array'
    ],
    //运营账号
    'adminAdd' => [
        'username|账号' => 'require|max:255',
        'role_id|角色' => 'require|number|gt:0',
        'card_id|卡类型' => 'require|array|max:100',
    ],
    //更改密码
    'adminChangePasswod' => [
        'id' => 'require|number|gt:0',
        'old_password|旧密码' => 'require|max:255',
        'new_password|新密码' => 'require|min:6|max:255',
    ],

    //【视频分组】
    //添加
    'VideoGroupAdd' => [
        'company_id|企业id' => 'require|number|gt:0',
        'card_id|卡类型id' => 'require|number|gt:0',
    ],
    //【视频分组明细】
    //添加
    'VideoGroupItemAdd' => [
        'video_group_id|视频分组id' => 'require|number|gt:0',
        'video_id|视频id' => 'require|number|gt:0',
    ],
    //【商品分组】
    //添加
    'GoodGroupAdd' => [
        'company_id|企业id' => 'require|number|gt:0',
        'card_id|卡类型id' => 'require|number|gt:0',
        'good_list|商品集合' => 'require|array|min:1|max:100',
    ],

    //【商城商品库存】
    //添加
    'InventoryShoppingAdd' => [
        'good_id|商品id' => 'require|number|gt:0',
        'inventory|库存数' => 'require|number|gt:0|lt:999999999',
    ],

    //【兑换商品库存】
    //添加
    'InventoryExchangeAdd' => [
        'account_id|账户id' => 'require|number|gt:0',
        'good_id|商品id' => 'require|number|gt:0',
        'inventory|库存数' => 'require|number|gt:0|lt:999999999',
    ],

    //【账户】
    //添加
    'AccountAdd' => [
        'company_id|企业' => 'require|number|gt:0',
        'card_id|卡类型' => 'require|number|gt:0',
        'username|账户' => 'require|max:255',
        'starttime|开始日期' => 'require|date|lt:expiretime',
        'expiretime|结束日期' => 'require|date|gt:starttime',
        'video_ids|视频id集合' => 'require|array|max:100',
        'mobile|手机号' => 'mobile',
        'name|姓名' => 'max:255',
        'remark|备注' => 'max:255',
    ],
    //批量添加账户
    'AccountBatchAdd' => [
        'company_id|企业' => 'require|number|gt:0',
        'card_id|卡类型' => 'require|number|gt:0',
        'username_prefix|账户前缀' => 'require|max:255',
        'username_year|账户年份' => 'require|number|length:2,4',
        'starttime|开始日期' => 'require|date|lt:expiretime',
        'expiretime|结束日期' => 'require|date|gt:starttime',
    ],

];